/*
 * Copyright (c) 2007-2010 Sonatype, Inc. All rights reserved.
 *
 * "Sonatype" is a trademark of Sonatype, Inc.
 */

package org.sonatype.runtime.assembler;

import java.io.File;
import org.sonatype.runtime.descriptor.AssemblyDescriptorArtifact;

/**
 * JAVADOC
 *
 * @author Alin Dreghiciu
 */
public interface ArtifactResolver
{

    //TODO maybe we should work with InputStream, but File is simpler for a prototype
    File resolve( AssemblyDescriptorArtifact artifact,
                  boolean unpack )
        throws Exception;

}
