/*
 * Copyright (c) 2007-2010 Sonatype, Inc. All rights reserved.
 *
 * "Sonatype" is a trademark of Sonatype, Inc.
 */

package org.sonatype.runtime.assembler;

import org.codehaus.plexus.component.annotations.Component;
import org.codehaus.plexus.component.annotations.Requirement;
import org.sonatype.plexus.template.Templater;
import org.sonatype.runtime.descriptor.AssembliesDescriptor;

/**
 * JAVADOC
 *
 * @author Alin Dreghiciu
 */
@Component( role = Assembler.class )
public class Assembler
{

    @Requirement
    private Templater templater;

    public Assemblies assemble( final AssembliesDescriptor descriptor,
                                final ArtifactResolver resolver )
        throws Exception
    {
        return new Assemblies( descriptor, resolver, templater );
    }

}
